%define _unpackaged_files_terminate_build 1

Name: homebank
Version: 3.5
Release: alt1.qa1

# Note: _unstable postfix sometimes appears in some versions of the tarball.
%define _version %{version}
#_unstable

Summary: Free easy personal accounting for all!
License: GPL
Group: Graphical desktop/GNOME
Url: http://%name.free.fr/index.php

Source: http://%name.free.fr/public/%name-%_version.tar.gz

PreReq: GConf2
Requires(post,postun): shared-mime-info desktop-file-utils

# From configure.ac
BuildPreReq: glib2-devel >= 2.12
BuildPreReq: libgtk+2-devel >= 2.10

BuildPreReq: perl-XML-Parser shared-mime-info desktop-file-utils

%description
HomeBank is the free software you have always wanted to manage your personal
accounts at home. The main concept is to be light, simple and very easy to use.
It brings you many features that allow you to analyze your finances in a
detailed way instantly and dynamically with powerful report tools based on
filtering and graphical charts.

Furthermore HomeBank benefits now for more than 10 years of users experience
and feedback as its development started in 1995 on Amiga computers. It is now
available on Amiga, GNU/Linux, and will probably be soon available for
Microsoft Windows and MacOS X systems, as GTK+ exists on it.

%prep
%setup -q -n %name-%_version

%build
%configure \
    --enable-ofx \
    --disable-scrollkeeper --disable-schemas-install \
    --disable-desktop-update --disable-mime-update

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
#gconf2_install %name %name-applet
%update_mimedb
%update_desktopdb
%update_menus

%preun
#if [ $1 = 0 ]; then
#gconf2_uninstall %name %name-applet
#fi

%postun
%clean_mimedb
%clean_desktopdb
%clean_menus

%files -f %name.lang
%_bindir/%name
%_desktopdir/%name.desktop
%dir %_datadir/%name
%dir %_datadir/%name/images
%_datadir/%name/images/*
%dir %_datadir/%name/help
%_datadir/%name/help/*
%_datadir/mime-info/%name.keys
%_datadir/mime-info/%name.mime
%_datadir/mime/packages/%name.xml
%_iconsdir/hicolor/*/apps/%name.*
%_datadir/pixmaps/%name.*

%exclude %_datadir/application-registry/%name.applications

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 3.5-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for homebank

* Sat Oct 13 2007 Alexey Rusakov <ktirf@altlinux.org> 3.5-alt1
- new version (3.5)
- updated files list

* Sun Jul 01 2007 Alexey Rusakov <ktirf@altlinux.org> 3.4-alt1
- new version (3.4)

* Wed Jun 13 2007 Alexey Rusakov <ktirf@altlinux.org> 3.3-alt1
- Initial Sisyphus version

